Bug 203182 - rpm check-prereq script has typo
rpm check-prereq script has typo
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-18 15:50 EDT by Steve Grubb
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 03:52:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix problem (623 bytes, patch)
2006-08-18 15:50 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2006-08-18 15:50:26 EDT
Description of problem:
The /usr/lib/rpm/check-prereqs script has a syntax error in it. It has an extra
backtick and double quote.

Version-Release number of selected component (if applicable):
rpm-4.4.2-15.2

How reproducible:
everytime

Steps to Reproduce:
1. sh -n /usr/lib/rpm/check-prereqs
  
Actual results:
Error reported

Expected results:
none

Additional info:
Attaching patch to fix this.
Comment 1 Steve Grubb 2006-08-18 15:50:26 EDT
Created attachment 134469 [details]
patch to fix problem
Comment 2 Jeff Johnson 2006-08-19 08:13:05 EDT
Fixed in rpm-4.4.3
    - fix: check-prereqs typo (#147196).

Not that the script is useful for anything whatsoever, the real
fix will be to nuke the useless script.

UPSTREAM
Comment 3 Jeff Johnson 2006-08-19 08:55:31 EDT
Nuked in rpm-4.4.7. Any 17 line script that generates 2 bug reports should die. ;-)
Comment 4 Matthew Miller 2007-04-06 12:17:27 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 5 Steve Grubb 2007-04-06 12:29:28 EDT
This bug is still present in all released copies of rpm that I can find...even
though a patch correcting this problem is attached to this bz.
Comment 6 Matthew Miller 2007-04-06 12:35:58 EDT
Thanks Steve.
Comment 7 Panu Matilainen 2007-06-05 08:21:21 EDT
Fix committed to rpm.org tree.
Comment 8 Panu Matilainen 2007-06-26 03:52:06 EDT
Fixed in next rawhide push by rpm 4.4.2.1-rc1 

Note You need to log in before you can comment on or make changes to this bug.